@startuml

class Quiz {
  - questions : Question[]

  + administer() : int
  + getNumberOfQuestions() : int
  + addQuestion() : void
}

class Question {
  - text : String
  - correctAnswer : Answer
  - wrongAnswers : Answer[]
  + addWrongAnswer(answer : Answer) : void
}

class Answer {
  - text : String
}

Quiz "1" o-- "1..*" Question
Question "1" *-- "4..*" Answer

@enduml
